package cn.ibizlab.assetmanagement.core.apply.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.assetmanagement.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.assetmanagement.core.apply.domain.EAMApplyStateModelLine;
/**
 * 关系型数据实体[EAMApplyStateModelLine] 查询条件对象
 */
@Slf4j
@Data
public class EAMApplyStateModelLineSearchContext extends QueryWrapperContext<EAMApplyStateModelLine> {

	private String n_eamapplystatemodellinename_like;//[维护申请状态模型明细名称]
	public void setN_eamapplystatemodellinename_like(String n_eamapplystatemodellinename_like) {
        this.n_eamapplystatemodellinename_like = n_eamapplystatemodellinename_like;
        if(!ObjectUtils.isEmpty(this.n_eamapplystatemodellinename_like)){
            this.getSearchCond().like("eamapplystatemodellinename", n_eamapplystatemodellinename_like);
        }
    }
	private String n_eamapplystateid_eq;//[维护申请状态标识]
	public void setN_eamapplystateid_eq(String n_eamapplystateid_eq) {
        this.n_eamapplystateid_eq = n_eamapplystateid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamapplystateid_eq)){
            this.getSearchCond().eq("eamapplystateid", n_eamapplystateid_eq);
        }
    }
	private String n_eamapplystatemodelid_eq;//[维护申请状态模型标识]
	public void setN_eamapplystatemodelid_eq(String n_eamapplystatemodelid_eq) {
        this.n_eamapplystatemodelid_eq = n_eamapplystatemodelid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamapplystatemodelid_eq)){
            this.getSearchCond().eq("eamapplystatemodelid", n_eamapplystatemodelid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("eamapplystatemodellinename", query)   
            );
		 }
	}
}



